<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9,00"
	Name="libtomcrypt"
	ProjectGUID="{E3802982-DCB6-4D85-A2BD-6B08F0657E79}"
	RootNamespace="libtomcrypt"
	TargetFrameworkVersion="0"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
		<Platform
			Name="x64"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="MSVC_$(PlatformName)_$(ConfigurationName)"
			IntermediateDirectory="MSVC_$(PlatformName)_$(ConfigurationName)\Intermediate"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="src\headers,..\libtommath"
				PreprocessorDefinitions="WIN32;_DEBUG;_CRT_SECURE_NO_WARNINGS;_CRT_NONSTDC_NO_DEPRECATE;LTM_DESC;LTC_NO_TEST;LTC_NO_PROTOTYPES"
				MinimalRebuild="true"
				ExceptionHandling="0"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				PrecompiledHeaderFile="$(IntDir)\libtomcrypt.pch"
				AssemblerListingLocation="$(IntDir)\"
				ObjectFile="$(IntDir)\"
				ProgramDataBaseFileName="$(IntDir)\"
				WarningLevel="3"
				SuppressStartupBanner="true"
				DebugInformationFormat="4"
				CompileAs="1"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="$(OutDir)\tomcryptd.lib"
				SuppressStartupBanner="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
				SuppressStartupBanner="true"
				OutputFile=".\Debug/libtomcrypt.bsc"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="MSVC_$(PlatformName)_$(ConfigurationName)"
			IntermediateDirectory="MSVC_$(PlatformName)_$(ConfigurationName)\Intermediate"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				InlineFunctionExpansion="1"
				AdditionalIncludeDirectories="src\headers,..\libtommath"
				PreprocessorDefinitions="WIN32;NDEBUG;_CRT_SECURE_NO_WARNINGS;_CRT_NONSTDC_NO_DEPRECATE;LTM_DESC;LTC_NO_TEST;LTC_NO_PROTOTYPES"
				StringPooling="true"
				ExceptionHandling="0"
				RuntimeLibrary="0"
				EnableFunctionLevelLinking="true"
				PrecompiledHeaderFile="$(IntDir)\libtomcrypt.pch"
				AssemblerListingLocation="$(IntDir)\"
				ObjectFile="$(IntDir)\"
				ProgramDataBaseFileName="$(IntDir)\"
				WarningLevel="3"
				SuppressStartupBanner="true"
				CompileAs="1"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="$(OutDir)\tomcrypt.lib"
				SuppressStartupBanner="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
				SuppressStartupBanner="true"
				OutputFile=".\Release/libtomcrypt.bsc"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Debug|x64"
			OutputDirectory="MSVC_$(PlatformName)_$(ConfigurationName)"
			IntermediateDirectory="MSVC_$(PlatformName)_$(ConfigurationName)\Intermediate"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="src\headers,..\libtommath"
				PreprocessorDefinitions="WIN32;_DEBUG;_CRT_SECURE_NO_WARNINGS;_CRT_NONSTDC_NO_DEPRECATE;LTM_DESC;LTC_NO_TEST;LTC_NO_PROTOTYPES"
				MinimalRebuild="true"
				ExceptionHandling="0"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				PrecompiledHeaderFile="$(IntDir)\libtomcrypt.pch"
				AssemblerListingLocation="$(IntDir)\"
				ObjectFile="$(IntDir)\"
				ProgramDataBaseFileName="$(IntDir)\"
				WarningLevel="3"
				SuppressStartupBanner="true"
				DebugInformationFormat="3"
				CompileAs="1"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="$(OutDir)\tomcryptd.lib"
				SuppressStartupBanner="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
				SuppressStartupBanner="true"
				OutputFile=".\Debug/libtomcrypt.bsc"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|x64"
			OutputDirectory="MSVC_$(PlatformName)_$(ConfigurationName)"
			IntermediateDirectory="MSVC_$(PlatformName)_$(ConfigurationName)\Intermediate"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				InlineFunctionExpansion="1"
				AdditionalIncludeDirectories="src\headers,..\libtommath"
				PreprocessorDefinitions="WIN32;NDEBUG;_CRT_SECURE_NO_WARNINGS;_CRT_NONSTDC_NO_DEPRECATE;LTM_DESC;LTC_NO_TEST;LTC_NO_PROTOTYPES"
				StringPooling="true"
				ExceptionHandling="0"
				RuntimeLibrary="0"
				EnableFunctionLevelLinking="true"
				PrecompiledHeaderFile="$(IntDir)\libtomcrypt.pch"
				AssemblerListingLocation="$(IntDir)\"
				ObjectFile="$(IntDir)\"
				ProgramDataBaseFileName="$(IntDir)\"
				WarningLevel="3"
				SuppressStartupBanner="true"
				CompileAs="1"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="$(OutDir)\tomcrypt.lib"
				SuppressStartupBanner="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
				SuppressStartupBanner="true"
				OutputFile=".\Release/libtomcrypt.bsc"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="ciphers"
			>
			<File
				RelativePath="src\ciphers\anubis.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\blowfish.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\camellia.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\cast5.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\des.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\idea.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\kasumi.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\khazad.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\kseed.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\multi2.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\noekeon.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\rc2.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\rc5.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\rc6.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\serpent.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\skipjack.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\sm4.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\tea.c"
				>
			</File>
			<File
				RelativePath="src\ciphers\xtea.c"
				>
			</File>
			<Filter
				Name="aes"
				>
				<File
					RelativePath="src\ciphers\aes\aes.c"
					>
				</File>
				<File
					RelativePath="src\ciphers\aes\aes_desc.c"
					>
				</File>
				<File
					RelativePath="src\ciphers\aes\aes_tab.c"
					>
					<FileConfiguration
						Name="Debug|Win32"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|Win32"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|x64"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|x64"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="src\ciphers\aes\aesni.c"
					>
				</File>
			</Filter>
			<Filter
				Name="safer"
				>
				<File
					RelativePath="src\ciphers\safer\safer.c"
					>
				</File>
				<File
					RelativePath="src\ciphers\safer\safer_tab.c"
					>
					<FileConfiguration
						Name="Debug|Win32"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|Win32"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|x64"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|x64"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="src\ciphers\safer\saferp.c"
					>
				</File>
			</Filter>
			<Filter
				Name="twofish"
				>
				<File
					RelativePath="src\ciphers\twofish\twofish.c"
					>
				</File>
				<File
					RelativePath="src\ciphers\twofish\twofish_tab.c"
					>
					<FileConfiguration
						Name="Debug|Win32"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|Win32"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|x64"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|x64"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="encauth"
			>
			<Filter
				Name="ccm"
				>
				<File
					RelativePath="src\encauth\ccm\ccm_add_aad.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ccm\ccm_add_nonce.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ccm\ccm_done.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ccm\ccm_init.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ccm\ccm_memory.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ccm\ccm_process.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ccm\ccm_reset.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ccm\ccm_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="chachapoly"
				>
				<File
					RelativePath="src\encauth\chachapoly\chacha20poly1305_add_aad.c"
					>
				</File>
				<File
					RelativePath="src\encauth\chachapoly\chacha20poly1305_decrypt.c"
					>
				</File>
				<File
					RelativePath="src\encauth\chachapoly\chacha20poly1305_done.c"
					>
				</File>
				<File
					RelativePath="src\encauth\chachapoly\chacha20poly1305_encrypt.c"
					>
				</File>
				<File
					RelativePath="src\encauth\chachapoly\chacha20poly1305_init.c"
					>
				</File>
				<File
					RelativePath="src\encauth\chachapoly\chacha20poly1305_memory.c"
					>
				</File>
				<File
					RelativePath="src\encauth\chachapoly\chacha20poly1305_setiv.c"
					>
				</File>
				<File
					RelativePath="src\encauth\chachapoly\chacha20poly1305_setiv_rfc7905.c"
					>
				</File>
				<File
					RelativePath="src\encauth\chachapoly\chacha20poly1305_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="eax"
				>
				<File
					RelativePath="src\encauth\eax\eax_addheader.c"
					>
				</File>
				<File
					RelativePath="src\encauth\eax\eax_decrypt.c"
					>
				</File>
				<File
					RelativePath="src\encauth\eax\eax_decrypt_verify_memory.c"
					>
				</File>
				<File
					RelativePath="src\encauth\eax\eax_done.c"
					>
				</File>
				<File
					RelativePath="src\encauth\eax\eax_encrypt.c"
					>
				</File>
				<File
					RelativePath="src\encauth\eax\eax_encrypt_authenticate_memory.c"
					>
				</File>
				<File
					RelativePath="src\encauth\eax\eax_init.c"
					>
				</File>
				<File
					RelativePath="src\encauth\eax\eax_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="gcm"
				>
				<File
					RelativePath="src\encauth\gcm\gcm_add_aad.c"
					>
				</File>
				<File
					RelativePath="src\encauth\gcm\gcm_add_iv.c"
					>
				</File>
				<File
					RelativePath="src\encauth\gcm\gcm_done.c"
					>
				</File>
				<File
					RelativePath="src\encauth\gcm\gcm_gf_mult.c"
					>
				</File>
				<File
					RelativePath="src\encauth\gcm\gcm_init.c"
					>
				</File>
				<File
					RelativePath="src\encauth\gcm\gcm_memory.c"
					>
				</File>
				<File
					RelativePath="src\encauth\gcm\gcm_mult_h.c"
					>
				</File>
				<File
					RelativePath="src\encauth\gcm\gcm_process.c"
					>
				</File>
				<File
					RelativePath="src\encauth\gcm\gcm_reset.c"
					>
				</File>
				<File
					RelativePath="src\encauth\gcm\gcm_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="ocb"
				>
				<File
					RelativePath="src\encauth\ocb\ocb_decrypt.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb\ocb_decrypt_verify_memory.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb\ocb_done_decrypt.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb\ocb_done_encrypt.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb\ocb_encrypt.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb\ocb_encrypt_authenticate_memory.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb\ocb_init.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb\ocb_ntz.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb\ocb_shift_xor.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb\ocb_test.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb\s_ocb_done.c"
					>
				</File>
			</Filter>
			<Filter
				Name="ocb3"
				>
				<File
					RelativePath="src\encauth\ocb3\ocb3_add_aad.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb3\ocb3_decrypt.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb3\ocb3_decrypt_last.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb3\ocb3_decrypt_verify_memory.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb3\ocb3_done.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb3\ocb3_encrypt.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb3\ocb3_encrypt_authenticate_memory.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb3\ocb3_encrypt_last.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb3\ocb3_init.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb3\ocb3_int_ntz.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb3\ocb3_int_xor_blocks.c"
					>
				</File>
				<File
					RelativePath="src\encauth\ocb3\ocb3_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="siv"
				>
				<File
					RelativePath="src\encauth\siv\siv.c"
					>
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="hashes"
			>
			<File
				RelativePath="src\hashes\blake2b.c"
				>
			</File>
			<File
				RelativePath="src\hashes\blake2s.c"
				>
			</File>
			<File
				RelativePath="src\hashes\md2.c"
				>
			</File>
			<File
				RelativePath="src\hashes\md4.c"
				>
			</File>
			<File
				RelativePath="src\hashes\md5.c"
				>
			</File>
			<File
				RelativePath="src\hashes\rmd128.c"
				>
			</File>
			<File
				RelativePath="src\hashes\rmd160.c"
				>
			</File>
			<File
				RelativePath="src\hashes\rmd256.c"
				>
			</File>
			<File
				RelativePath="src\hashes\rmd320.c"
				>
			</File>
			<File
				RelativePath="src\hashes\sha1.c"
				>
			</File>
			<File
				RelativePath="src\hashes\sha3.c"
				>
			</File>
			<File
				RelativePath="src\hashes\sha3_test.c"
				>
			</File>
			<File
				RelativePath="src\hashes\tiger.c"
				>
			</File>
			<Filter
				Name="chc"
				>
				<File
					RelativePath="src\hashes\chc\chc.c"
					>
				</File>
			</Filter>
			<Filter
				Name="helper"
				>
				<File
					RelativePath="src\hashes\helper\hash_file.c"
					>
				</File>
				<File
					RelativePath="src\hashes\helper\hash_filehandle.c"
					>
				</File>
				<File
					RelativePath="src\hashes\helper\hash_memory.c"
					>
				</File>
				<File
					RelativePath="src\hashes\helper\hash_memory_multi.c"
					>
				</File>
			</Filter>
			<Filter
				Name="sha2"
				>
				<File
					RelativePath="src\hashes\sha2\sha224.c"
					>
				</File>
				<File
					RelativePath="src\hashes\sha2\sha256.c"
					>
				</File>
				<File
					RelativePath="src\hashes\sha2\sha384.c"
					>
				</File>
				<File
					RelativePath="src\hashes\sha2\sha512.c"
					>
				</File>
				<File
					RelativePath="src\hashes\sha2\sha512_224.c"
					>
				</File>
				<File
					RelativePath="src\hashes\sha2\sha512_256.c"
					>
				</File>
			</Filter>
			<Filter
				Name="whirl"
				>
				<File
					RelativePath="src\hashes\whirl\whirl.c"
					>
				</File>
				<File
					RelativePath="src\hashes\whirl\whirltab.c"
					>
					<FileConfiguration
						Name="Debug|Win32"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|Win32"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|x64"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|x64"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="headers"
			>
			<File
				RelativePath="src\headers\tomcrypt.h"
				>
			</File>
			<File
				RelativePath="src\headers\tomcrypt_argchk.h"
				>
			</File>
			<File
				RelativePath="src\headers\tomcrypt_cfg.h"
				>
			</File>
			<File
				RelativePath="src\headers\tomcrypt_cipher.h"
				>
			</File>
			<File
				RelativePath="src\headers\tomcrypt_custom.h"
				>
			</File>
			<File
				RelativePath="src\headers\tomcrypt_hash.h"
				>
			</File>
			<File
				RelativePath="src\headers\tomcrypt_mac.h"
				>
			</File>
			<File
				RelativePath="src\headers\tomcrypt_macros.h"
				>
			</File>
			<File
				RelativePath="src\headers\tomcrypt_math.h"
				>
			</File>
			<File
				RelativePath="src\headers\tomcrypt_misc.h"
				>
			</File>
			<File
				RelativePath="src\headers\tomcrypt_pk.h"
				>
			</File>
			<File
				RelativePath="src\headers\tomcrypt_pkcs.h"
				>
			</File>
			<File
				RelativePath="src\headers\tomcrypt_private.h"
				>
			</File>
			<File
				RelativePath="src\headers\tomcrypt_prng.h"
				>
			</File>
		</Filter>
		<Filter
			Name="mac"
			>
			<Filter
				Name="blake2"
				>
				<File
					RelativePath="src\mac\blake2\blake2bmac.c"
					>
				</File>
				<File
					RelativePath="src\mac\blake2\blake2bmac_file.c"
					>
				</File>
				<File
					RelativePath="src\mac\blake2\blake2bmac_memory.c"
					>
				</File>
				<File
					RelativePath="src\mac\blake2\blake2bmac_memory_multi.c"
					>
				</File>
				<File
					RelativePath="src\mac\blake2\blake2bmac_test.c"
					>
				</File>
				<File
					RelativePath="src\mac\blake2\blake2smac.c"
					>
				</File>
				<File
					RelativePath="src\mac\blake2\blake2smac_file.c"
					>
				</File>
				<File
					RelativePath="src\mac\blake2\blake2smac_memory.c"
					>
				</File>
				<File
					RelativePath="src\mac\blake2\blake2smac_memory_multi.c"
					>
				</File>
				<File
					RelativePath="src\mac\blake2\blake2smac_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="f9"
				>
				<File
					RelativePath="src\mac\f9\f9_done.c"
					>
				</File>
				<File
					RelativePath="src\mac\f9\f9_file.c"
					>
				</File>
				<File
					RelativePath="src\mac\f9\f9_init.c"
					>
				</File>
				<File
					RelativePath="src\mac\f9\f9_memory.c"
					>
				</File>
				<File
					RelativePath="src\mac\f9\f9_memory_multi.c"
					>
				</File>
				<File
					RelativePath="src\mac\f9\f9_process.c"
					>
				</File>
				<File
					RelativePath="src\mac\f9\f9_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="hmac"
				>
				<File
					RelativePath="src\mac\hmac\hmac_done.c"
					>
				</File>
				<File
					RelativePath="src\mac\hmac\hmac_file.c"
					>
				</File>
				<File
					RelativePath="src\mac\hmac\hmac_init.c"
					>
				</File>
				<File
					RelativePath="src\mac\hmac\hmac_memory.c"
					>
				</File>
				<File
					RelativePath="src\mac\hmac\hmac_memory_multi.c"
					>
				</File>
				<File
					RelativePath="src\mac\hmac\hmac_process.c"
					>
				</File>
				<File
					RelativePath="src\mac\hmac\hmac_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="omac"
				>
				<File
					RelativePath="src\mac\omac\omac_done.c"
					>
				</File>
				<File
					RelativePath="src\mac\omac\omac_file.c"
					>
				</File>
				<File
					RelativePath="src\mac\omac\omac_init.c"
					>
				</File>
				<File
					RelativePath="src\mac\omac\omac_memory.c"
					>
				</File>
				<File
					RelativePath="src\mac\omac\omac_memory_multi.c"
					>
				</File>
				<File
					RelativePath="src\mac\omac\omac_process.c"
					>
				</File>
				<File
					RelativePath="src\mac\omac\omac_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="pelican"
				>
				<File
					RelativePath="src\mac\pelican\pelican.c"
					>
				</File>
				<File
					RelativePath="src\mac\pelican\pelican_memory.c"
					>
				</File>
				<File
					RelativePath="src\mac\pelican\pelican_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="pmac"
				>
				<File
					RelativePath="src\mac\pmac\pmac_done.c"
					>
				</File>
				<File
					RelativePath="src\mac\pmac\pmac_file.c"
					>
				</File>
				<File
					RelativePath="src\mac\pmac\pmac_init.c"
					>
				</File>
				<File
					RelativePath="src\mac\pmac\pmac_memory.c"
					>
				</File>
				<File
					RelativePath="src\mac\pmac\pmac_memory_multi.c"
					>
				</File>
				<File
					RelativePath="src\mac\pmac\pmac_ntz.c"
					>
				</File>
				<File
					RelativePath="src\mac\pmac\pmac_process.c"
					>
				</File>
				<File
					RelativePath="src\mac\pmac\pmac_shift_xor.c"
					>
				</File>
				<File
					RelativePath="src\mac\pmac\pmac_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="poly1305"
				>
				<File
					RelativePath="src\mac\poly1305\poly1305.c"
					>
				</File>
				<File
					RelativePath="src\mac\poly1305\poly1305_file.c"
					>
				</File>
				<File
					RelativePath="src\mac\poly1305\poly1305_memory.c"
					>
				</File>
				<File
					RelativePath="src\mac\poly1305\poly1305_memory_multi.c"
					>
				</File>
				<File
					RelativePath="src\mac\poly1305\poly1305_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="xcbc"
				>
				<File
					RelativePath="src\mac\xcbc\xcbc_done.c"
					>
				</File>
				<File
					RelativePath="src\mac\xcbc\xcbc_file.c"
					>
				</File>
				<File
					RelativePath="src\mac\xcbc\xcbc_init.c"
					>
				</File>
				<File
					RelativePath="src\mac\xcbc\xcbc_memory.c"
					>
				</File>
				<File
					RelativePath="src\mac\xcbc\xcbc_memory_multi.c"
					>
				</File>
				<File
					RelativePath="src\mac\xcbc\xcbc_process.c"
					>
				</File>
				<File
					RelativePath="src\mac\xcbc\xcbc_test.c"
					>
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="math"
			>
			<File
				RelativePath="src\math\gmp_desc.c"
				>
			</File>
			<File
				RelativePath="src\math\ltm_desc.c"
				>
			</File>
			<File
				RelativePath="src\math\multi.c"
				>
			</File>
			<File
				RelativePath="src\math\radix_to_bin.c"
				>
			</File>
			<File
				RelativePath="src\math\rand_bn.c"
				>
			</File>
			<File
				RelativePath="src\math\rand_prime.c"
				>
			</File>
			<File
				RelativePath="src\math\tfm_desc.c"
				>
			</File>
			<Filter
				Name="fp"
				>
				<File
					RelativePath="src\math\fp\ltc_ecc_fp_mulmod.c"
					>
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="misc"
			>
			<File
				RelativePath="src\misc\adler32.c"
				>
			</File>
			<File
				RelativePath="src\misc\burn_stack.c"
				>
			</File>
			<File
				RelativePath="src\misc\compare_testvector.c"
				>
			</File>
			<File
				RelativePath="src\misc\copy_or_zeromem.c"
				>
			</File>
			<File
				RelativePath="src\misc\crc32.c"
				>
			</File>
			<File
				RelativePath="src\misc\error_to_string.c"
				>
			</File>
			<File
				RelativePath="src\misc\mem_neq.c"
				>
			</File>
			<File
				RelativePath="src\misc\password_free.c"
				>
			</File>
			<File
				RelativePath="src\misc\zeromem.c"
				>
			</File>
			<Filter
				Name="base16"
				>
				<File
					RelativePath="src\misc\base16\base16_decode.c"
					>
				</File>
				<File
					RelativePath="src\misc\base16\base16_encode.c"
					>
				</File>
			</Filter>
			<Filter
				Name="base32"
				>
				<File
					RelativePath="src\misc\base32\base32_decode.c"
					>
				</File>
				<File
					RelativePath="src\misc\base32\base32_encode.c"
					>
				</File>
			</Filter>
			<Filter
				Name="base64"
				>
				<File
					RelativePath="src\misc\base64\base64_decode.c"
					>
				</File>
				<File
					RelativePath="src\misc\base64\base64_encode.c"
					>
				</File>
			</Filter>
			<Filter
				Name="bcrypt"
				>
				<File
					RelativePath="src\misc\bcrypt\bcrypt.c"
					>
				</File>
			</Filter>
			<Filter
				Name="crypt"
				>
				<File
					RelativePath="src\misc\crypt\crypt.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_argchk.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_cipher_descriptor.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_cipher_is_valid.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_constants.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_find_cipher.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_find_cipher_any.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_find_cipher_id.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_find_hash.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_find_hash_any.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_find_hash_id.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_find_hash_oid.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_find_prng.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_fsa.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_hash_descriptor.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_hash_is_valid.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_inits.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_ltc_mp_descriptor.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_prng_descriptor.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_prng_is_valid.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_prng_rng_descriptor.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_register_all_ciphers.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_register_all_hashes.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_register_all_prngs.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_register_cipher.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_register_hash.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_register_prng.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_sizes.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_unregister_cipher.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_unregister_hash.c"
					>
				</File>
				<File
					RelativePath="src\misc\crypt\crypt_unregister_prng.c"
					>
				</File>
			</Filter>
			<Filter
				Name="hkdf"
				>
				<File
					RelativePath="src\misc\hkdf\hkdf.c"
					>
				</File>
				<File
					RelativePath="src\misc\hkdf\hkdf_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="padding"
				>
				<File
					RelativePath="src\misc\padding\padding_depad.c"
					>
				</File>
				<File
					RelativePath="src\misc\padding\padding_pad.c"
					>
				</File>
			</Filter>
			<Filter
				Name="pbes"
				>
				<File
					RelativePath="src\misc\pbes\pbes.c"
					>
				</File>
				<File
					RelativePath="src\misc\pbes\pbes1.c"
					>
				</File>
				<File
					RelativePath="src\misc\pbes\pbes2.c"
					>
				</File>
			</Filter>
			<Filter
				Name="pem"
				>
				<File
					RelativePath="src\misc\pem\pem.c"
					>
				</File>
				<File
					RelativePath="src\misc\pem\pem_pkcs.c"
					>
				</File>
				<File
					RelativePath="src\misc\pem\pem_read.c"
					>
				</File>
				<File
					RelativePath="src\misc\pem\pem_ssh.c"
					>
				</File>
			</Filter>
			<Filter
				Name="pkcs12"
				>
				<File
					RelativePath="src\misc\pkcs12\pkcs12_kdf.c"
					>
				</File>
				<File
					RelativePath="src\misc\pkcs12\pkcs12_utf8_to_utf16.c"
					>
				</File>
			</Filter>
			<Filter
				Name="pkcs5"
				>
				<File
					RelativePath="src\misc\pkcs5\pkcs_5_1.c"
					>
				</File>
				<File
					RelativePath="src\misc\pkcs5\pkcs_5_2.c"
					>
				</File>
				<File
					RelativePath="src\misc\pkcs5\pkcs_5_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="ssh"
				>
				<File
					RelativePath="src\misc\ssh\ssh_decode_sequence_multi.c"
					>
				</File>
				<File
					RelativePath="src\misc\ssh\ssh_encode_sequence_multi.c"
					>
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="modes"
			>
			<Filter
				Name="cbc"
				>
				<File
					RelativePath="src\modes\cbc\cbc_decrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\cbc\cbc_done.c"
					>
				</File>
				<File
					RelativePath="src\modes\cbc\cbc_encrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\cbc\cbc_getiv.c"
					>
				</File>
				<File
					RelativePath="src\modes\cbc\cbc_setiv.c"
					>
				</File>
				<File
					RelativePath="src\modes\cbc\cbc_start.c"
					>
				</File>
			</Filter>
			<Filter
				Name="cfb"
				>
				<File
					RelativePath="src\modes\cfb\cfb_decrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\cfb\cfb_done.c"
					>
				</File>
				<File
					RelativePath="src\modes\cfb\cfb_encrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\cfb\cfb_getiv.c"
					>
				</File>
				<File
					RelativePath="src\modes\cfb\cfb_setiv.c"
					>
				</File>
				<File
					RelativePath="src\modes\cfb\cfb_start.c"
					>
				</File>
			</Filter>
			<Filter
				Name="ctr"
				>
				<File
					RelativePath="src\modes\ctr\ctr_decrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\ctr\ctr_done.c"
					>
				</File>
				<File
					RelativePath="src\modes\ctr\ctr_encrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\ctr\ctr_getiv.c"
					>
				</File>
				<File
					RelativePath="src\modes\ctr\ctr_setiv.c"
					>
				</File>
				<File
					RelativePath="src\modes\ctr\ctr_start.c"
					>
				</File>
				<File
					RelativePath="src\modes\ctr\ctr_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="ecb"
				>
				<File
					RelativePath="src\modes\ecb\ecb_decrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\ecb\ecb_done.c"
					>
				</File>
				<File
					RelativePath="src\modes\ecb\ecb_encrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\ecb\ecb_start.c"
					>
				</File>
			</Filter>
			<Filter
				Name="f8"
				>
				<File
					RelativePath="src\modes\f8\f8_decrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\f8\f8_done.c"
					>
				</File>
				<File
					RelativePath="src\modes\f8\f8_encrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\f8\f8_getiv.c"
					>
				</File>
				<File
					RelativePath="src\modes\f8\f8_setiv.c"
					>
				</File>
				<File
					RelativePath="src\modes\f8\f8_start.c"
					>
				</File>
				<File
					RelativePath="src\modes\f8\f8_test_mode.c"
					>
				</File>
			</Filter>
			<Filter
				Name="lrw"
				>
				<File
					RelativePath="src\modes\lrw\lrw_decrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\lrw\lrw_done.c"
					>
				</File>
				<File
					RelativePath="src\modes\lrw\lrw_encrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\lrw\lrw_getiv.c"
					>
				</File>
				<File
					RelativePath="src\modes\lrw\lrw_process.c"
					>
				</File>
				<File
					RelativePath="src\modes\lrw\lrw_setiv.c"
					>
				</File>
				<File
					RelativePath="src\modes\lrw\lrw_start.c"
					>
				</File>
				<File
					RelativePath="src\modes\lrw\lrw_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="ofb"
				>
				<File
					RelativePath="src\modes\ofb\ofb_decrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\ofb\ofb_done.c"
					>
				</File>
				<File
					RelativePath="src\modes\ofb\ofb_encrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\ofb\ofb_getiv.c"
					>
				</File>
				<File
					RelativePath="src\modes\ofb\ofb_setiv.c"
					>
				</File>
				<File
					RelativePath="src\modes\ofb\ofb_start.c"
					>
				</File>
			</Filter>
			<Filter
				Name="xts"
				>
				<File
					RelativePath="src\modes\xts\xts_decrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\xts\xts_done.c"
					>
				</File>
				<File
					RelativePath="src\modes\xts\xts_encrypt.c"
					>
				</File>
				<File
					RelativePath="src\modes\xts\xts_init.c"
					>
				</File>
				<File
					RelativePath="src\modes\xts\xts_mult_x.c"
					>
				</File>
				<File
					RelativePath="src\modes\xts\xts_test.c"
					>
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="pk"
			>
			<File
				RelativePath="src\pk\pka_key.c"
				>
			</File>
			<Filter
				Name="asn1"
				>
				<Filter
					Name="der"
					>
					<Filter
						Name="bit"
						>
						<File
							RelativePath="src\pk\asn1\der\bit\der_decode_bit_string.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\bit\der_decode_raw_bit_string.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\bit\der_encode_bit_string.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\bit\der_encode_raw_bit_string.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\bit\der_length_bit_string.c"
							>
						</File>
					</Filter>
					<Filter
						Name="boolean"
						>
						<File
							RelativePath="src\pk\asn1\der\boolean\der_decode_boolean.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\boolean\der_encode_boolean.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\boolean\der_length_boolean.c"
							>
						</File>
					</Filter>
					<Filter
						Name="choice"
						>
						<File
							RelativePath="src\pk\asn1\der\choice\der_decode_choice.c"
							>
						</File>
					</Filter>
					<Filter
						Name="custom_type"
						>
						<File
							RelativePath="src\pk\asn1\der\custom_type\der_decode_custom_type.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\custom_type\der_encode_custom_type.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\custom_type\der_length_custom_type.c"
							>
						</File>
					</Filter>
					<Filter
						Name="general"
						>
						<File
							RelativePath="src\pk\asn1\der\general\der_asn1_maps.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\general\der_decode_asn1_identifier.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\general\der_decode_asn1_length.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\general\der_encode_asn1_identifier.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\general\der_encode_asn1_length.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\general\der_length_asn1_identifier.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\general\der_length_asn1_length.c"
							>
						</File>
					</Filter>
					<Filter
						Name="generalizedtime"
						>
						<File
							RelativePath="src\pk\asn1\der\generalizedtime\der_decode_generalizedtime.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\generalizedtime\der_encode_generalizedtime.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\generalizedtime\der_length_generalizedtime.c"
							>
						</File>
					</Filter>
					<Filter
						Name="ia5"
						>
						<File
							RelativePath="src\pk\asn1\der\ia5\der_decode_ia5_string.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\ia5\der_encode_ia5_string.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\ia5\der_length_ia5_string.c"
							>
						</File>
					</Filter>
					<Filter
						Name="integer"
						>
						<File
							RelativePath="src\pk\asn1\der\integer\der_decode_integer.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\integer\der_encode_integer.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\integer\der_length_integer.c"
							>
						</File>
					</Filter>
					<Filter
						Name="object_identifier"
						>
						<File
							RelativePath="src\pk\asn1\der\object_identifier\der_decode_object_identifier.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\object_identifier\der_encode_object_identifier.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\object_identifier\der_length_object_identifier.c"
							>
						</File>
					</Filter>
					<Filter
						Name="octet"
						>
						<File
							RelativePath="src\pk\asn1\der\octet\der_decode_octet_string.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\octet\der_encode_octet_string.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\octet\der_length_octet_string.c"
							>
						</File>
					</Filter>
					<Filter
						Name="printable_string"
						>
						<File
							RelativePath="src\pk\asn1\der\printable_string\der_decode_printable_string.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\printable_string\der_encode_printable_string.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\printable_string\der_length_printable_string.c"
							>
						</File>
					</Filter>
					<Filter
						Name="sequence"
						>
						<File
							RelativePath="src\pk\asn1\der\sequence\der_decode_sequence_ex.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\sequence\der_decode_sequence_flexi.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\sequence\der_decode_sequence_multi.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\sequence\der_encode_sequence_ex.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\sequence\der_encode_sequence_multi.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\sequence\der_flexi_sequence_cmp.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\sequence\der_length_sequence.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\sequence\der_sequence_free.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\sequence\der_sequence_shrink.c"
							>
						</File>
					</Filter>
					<Filter
						Name="set"
						>
						<File
							RelativePath="src\pk\asn1\der\set\der_encode_set.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\set\der_encode_setof.c"
							>
						</File>
					</Filter>
					<Filter
						Name="short_integer"
						>
						<File
							RelativePath="src\pk\asn1\der\short_integer\der_decode_short_integer.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\short_integer\der_encode_short_integer.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\short_integer\der_length_short_integer.c"
							>
						</File>
					</Filter>
					<Filter
						Name="teletex_string"
						>
						<File
							RelativePath="src\pk\asn1\der\teletex_string\der_decode_teletex_string.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\teletex_string\der_length_teletex_string.c"
							>
						</File>
					</Filter>
					<Filter
						Name="utctime"
						>
						<File
							RelativePath="src\pk\asn1\der\utctime\der_decode_utctime.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\utctime\der_encode_utctime.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\utctime\der_length_utctime.c"
							>
						</File>
					</Filter>
					<Filter
						Name="utf8"
						>
						<File
							RelativePath="src\pk\asn1\der\utf8\der_decode_utf8_string.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\utf8\der_encode_utf8_string.c"
							>
						</File>
						<File
							RelativePath="src\pk\asn1\der\utf8\der_length_utf8_string.c"
							>
						</File>
					</Filter>
				</Filter>
				<Filter
					Name="oid"
					>
					<File
						RelativePath="src\pk\asn1\oid\pk_get.c"
						>
					</File>
					<File
						RelativePath="src\pk\asn1\oid\pk_oid_cmp.c"
						>
					</File>
					<File
						RelativePath="src\pk\asn1\oid\pk_oid_str.c"
						>
					</File>
				</Filter>
				<Filter
					Name="pkcs8"
					>
					<File
						RelativePath="src\pk\asn1\pkcs8\pkcs8_decode_flexi.c"
						>
					</File>
					<File
						RelativePath="src\pk\asn1\pkcs8\pkcs8_get.c"
						>
					</File>
				</Filter>
				<Filter
					Name="x509"
					>
					<File
						RelativePath="src\pk\asn1\x509\x509_decode_public_key_from_certificate.c"
						>
					</File>
					<File
						RelativePath="src\pk\asn1\x509\x509_decode_spki.c"
						>
					</File>
					<File
						RelativePath="src\pk\asn1\x509\x509_decode_subject_public_key_info.c"
						>
					</File>
					<File
						RelativePath="src\pk\asn1\x509\x509_encode_subject_public_key_info.c"
						>
					</File>
				</Filter>
			</Filter>
			<Filter
				Name="dh"
				>
				<File
					RelativePath="src\pk\dh\dh.c"
					>
				</File>
				<File
					RelativePath="src\pk\dh\dh_check_pubkey.c"
					>
				</File>
				<File
					RelativePath="src\pk\dh\dh_export.c"
					>
				</File>
				<File
					RelativePath="src\pk\dh\dh_export_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\dh\dh_free.c"
					>
				</File>
				<File
					RelativePath="src\pk\dh\dh_generate_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\dh\dh_import.c"
					>
				</File>
				<File
					RelativePath="src\pk\dh\dh_import_pkcs8.c"
					>
				</File>
				<File
					RelativePath="src\pk\dh\dh_set.c"
					>
				</File>
				<File
					RelativePath="src\pk\dh\dh_set_pg_dhparam.c"
					>
				</File>
				<File
					RelativePath="src\pk\dh\dh_shared_secret.c"
					>
				</File>
			</Filter>
			<Filter
				Name="dsa"
				>
				<File
					RelativePath="src\pk\dsa\dsa_decrypt_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\dsa\dsa_encrypt_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\dsa\dsa_export.c"
					>
				</File>
				<File
					RelativePath="src\pk\dsa\dsa_free.c"
					>
				</File>
				<File
					RelativePath="src\pk\dsa\dsa_generate_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\dsa\dsa_generate_pqg.c"
					>
				</File>
				<File
					RelativePath="src\pk\dsa\dsa_import.c"
					>
				</File>
				<File
					RelativePath="src\pk\dsa\dsa_import_pkcs8.c"
					>
				</File>
				<File
					RelativePath="src\pk\dsa\dsa_init.c"
					>
				</File>
				<File
					RelativePath="src\pk\dsa\dsa_make_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\dsa\dsa_set.c"
					>
				</File>
				<File
					RelativePath="src\pk\dsa\dsa_set_pqg_dsaparam.c"
					>
				</File>
				<File
					RelativePath="src\pk\dsa\dsa_shared_secret.c"
					>
				</File>
				<File
					RelativePath="src\pk\dsa\dsa_sign_hash.c"
					>
				</File>
				<File
					RelativePath="src\pk\dsa\dsa_verify_hash.c"
					>
				</File>
				<File
					RelativePath="src\pk\dsa\dsa_verify_key.c"
					>
				</File>
			</Filter>
			<Filter
				Name="ec25519"
				>
				<File
					RelativePath="src\pk\ec25519\ec25519_crypto_ctx.c"
					>
				</File>
				<File
					RelativePath="src\pk\ec25519\ec25519_export.c"
					>
				</File>
				<File
					RelativePath="src\pk\ec25519\ec25519_import_pkcs8.c"
					>
				</File>
				<File
					RelativePath="src\pk\ec25519\tweetnacl.c"
					>
				</File>
			</Filter>
			<Filter
				Name="ecc"
				>
				<File
					RelativePath="src\pk\ecc\ecc.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_ansi_x963_export.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_ansi_x963_import.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_decrypt_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_encrypt_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_export.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_export_openssl.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_find_curve.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_free.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_get_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_get_oid_str.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_get_size.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_import.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_import_openssl.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_import_pkcs8.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_import_x509.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_make_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_recover_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_set_curve.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_set_curve_internal.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_set_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_shared_secret.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_sign_hash.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_sign_hash_eth27.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_sign_hash_internal.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_sign_hash_rfc5656.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_sign_hash_rfc7518.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_sizes.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_ssh_ecdsa_encode_name.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_verify_hash.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_verify_hash_eth27.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_verify_hash_internal.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_verify_hash_rfc5656.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ecc_verify_hash_rfc7518.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ltc_ecc_export_point.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ltc_ecc_import_point.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ltc_ecc_is_point.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ltc_ecc_is_point_at_infinity.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ltc_ecc_map.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ltc_ecc_mul2add.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ltc_ecc_mulmod.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ltc_ecc_mulmod_timing.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ltc_ecc_points.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ltc_ecc_projective_add_point.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ltc_ecc_projective_dbl_point.c"
					>
				</File>
				<File
					RelativePath="src\pk\ecc\ltc_ecc_verify_key.c"
					>
				</File>
			</Filter>
			<Filter
				Name="ed25519"
				>
				<File
					RelativePath="src\pk\ed25519\ed25519_export.c"
					>
				</File>
				<File
					RelativePath="src\pk\ed25519\ed25519_import.c"
					>
				</File>
				<File
					RelativePath="src\pk\ed25519\ed25519_import_pkcs8.c"
					>
				</File>
				<File
					RelativePath="src\pk\ed25519\ed25519_import_raw.c"
					>
				</File>
				<File
					RelativePath="src\pk\ed25519\ed25519_import_x509.c"
					>
				</File>
				<File
					RelativePath="src\pk\ed25519\ed25519_make_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\ed25519\ed25519_sign.c"
					>
				</File>
				<File
					RelativePath="src\pk\ed25519\ed25519_verify.c"
					>
				</File>
			</Filter>
			<Filter
				Name="pkcs1"
				>
				<File
					RelativePath="src\pk\pkcs1\pkcs_1_i2osp.c"
					>
				</File>
				<File
					RelativePath="src\pk\pkcs1\pkcs_1_mgf1.c"
					>
				</File>
				<File
					RelativePath="src\pk\pkcs1\pkcs_1_oaep_decode.c"
					>
				</File>
				<File
					RelativePath="src\pk\pkcs1\pkcs_1_oaep_encode.c"
					>
				</File>
				<File
					RelativePath="src\pk\pkcs1\pkcs_1_os2ip.c"
					>
				</File>
				<File
					RelativePath="src\pk\pkcs1\pkcs_1_pss_decode.c"
					>
				</File>
				<File
					RelativePath="src\pk\pkcs1\pkcs_1_pss_encode.c"
					>
				</File>
				<File
					RelativePath="src\pk\pkcs1\pkcs_1_v1_5_decode.c"
					>
				</File>
				<File
					RelativePath="src\pk\pkcs1\pkcs_1_v1_5_encode.c"
					>
				</File>
			</Filter>
			<Filter
				Name="rsa"
				>
				<File
					RelativePath="src\pk\rsa\rsa_decrypt_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\rsa\rsa_encrypt_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\rsa\rsa_export.c"
					>
				</File>
				<File
					RelativePath="src\pk\rsa\rsa_exptmod.c"
					>
				</File>
				<File
					RelativePath="src\pk\rsa\rsa_get_size.c"
					>
				</File>
				<File
					RelativePath="src\pk\rsa\rsa_import.c"
					>
				</File>
				<File
					RelativePath="src\pk\rsa\rsa_import_pkcs8.c"
					>
				</File>
				<File
					RelativePath="src\pk\rsa\rsa_import_x509.c"
					>
				</File>
				<File
					RelativePath="src\pk\rsa\rsa_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\rsa\rsa_make_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\rsa\rsa_set.c"
					>
				</File>
				<File
					RelativePath="src\pk\rsa\rsa_sign_hash.c"
					>
				</File>
				<File
					RelativePath="src\pk\rsa\rsa_sign_saltlen_get.c"
					>
				</File>
				<File
					RelativePath="src\pk\rsa\rsa_verify_hash.c"
					>
				</File>
			</Filter>
			<Filter
				Name="x25519"
				>
				<File
					RelativePath="src\pk\x25519\x25519_export.c"
					>
				</File>
				<File
					RelativePath="src\pk\x25519\x25519_import.c"
					>
				</File>
				<File
					RelativePath="src\pk\x25519\x25519_import_pkcs8.c"
					>
				</File>
				<File
					RelativePath="src\pk\x25519\x25519_import_raw.c"
					>
				</File>
				<File
					RelativePath="src\pk\x25519\x25519_import_x509.c"
					>
				</File>
				<File
					RelativePath="src\pk\x25519\x25519_make_key.c"
					>
				</File>
				<File
					RelativePath="src\pk\x25519\x25519_shared_secret.c"
					>
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="prngs"
			>
			<File
				RelativePath="src\prngs\chacha20.c"
				>
			</File>
			<File
				RelativePath="src\prngs\fortuna.c"
				>
			</File>
			<File
				RelativePath="src\prngs\rc4.c"
				>
			</File>
			<File
				RelativePath="src\prngs\rng_get_bytes.c"
				>
			</File>
			<File
				RelativePath="src\prngs\rng_make_prng.c"
				>
			</File>
			<File
				RelativePath="src\prngs\sober128.c"
				>
			</File>
			<File
				RelativePath="src\prngs\sprng.c"
				>
			</File>
			<File
				RelativePath="src\prngs\yarrow.c"
				>
			</File>
		</Filter>
		<Filter
			Name="stream"
			>
			<Filter
				Name="chacha"
				>
				<File
					RelativePath="src\stream\chacha\chacha_crypt.c"
					>
				</File>
				<File
					RelativePath="src\stream\chacha\chacha_done.c"
					>
				</File>
				<File
					RelativePath="src\stream\chacha\chacha_ivctr32.c"
					>
				</File>
				<File
					RelativePath="src\stream\chacha\chacha_ivctr64.c"
					>
				</File>
				<File
					RelativePath="src\stream\chacha\chacha_keystream.c"
					>
				</File>
				<File
					RelativePath="src\stream\chacha\chacha_memory.c"
					>
				</File>
				<File
					RelativePath="src\stream\chacha\chacha_setup.c"
					>
				</File>
				<File
					RelativePath="src\stream\chacha\chacha_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="rabbit"
				>
				<File
					RelativePath="src\stream\rabbit\rabbit.c"
					>
				</File>
				<File
					RelativePath="src\stream\rabbit\rabbit_memory.c"
					>
				</File>
			</Filter>
			<Filter
				Name="rc4"
				>
				<File
					RelativePath="src\stream\rc4\rc4_stream.c"
					>
				</File>
				<File
					RelativePath="src\stream\rc4\rc4_stream_memory.c"
					>
				</File>
				<File
					RelativePath="src\stream\rc4\rc4_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="salsa20"
				>
				<File
					RelativePath="src\stream\salsa20\salsa20_crypt.c"
					>
				</File>
				<File
					RelativePath="src\stream\salsa20\salsa20_done.c"
					>
				</File>
				<File
					RelativePath="src\stream\salsa20\salsa20_ivctr64.c"
					>
				</File>
				<File
					RelativePath="src\stream\salsa20\salsa20_keystream.c"
					>
				</File>
				<File
					RelativePath="src\stream\salsa20\salsa20_memory.c"
					>
				</File>
				<File
					RelativePath="src\stream\salsa20\salsa20_setup.c"
					>
				</File>
				<File
					RelativePath="src\stream\salsa20\salsa20_test.c"
					>
				</File>
				<File
					RelativePath="src\stream\salsa20\xsalsa20_memory.c"
					>
				</File>
				<File
					RelativePath="src\stream\salsa20\xsalsa20_setup.c"
					>
				</File>
				<File
					RelativePath="src\stream\salsa20\xsalsa20_test.c"
					>
				</File>
			</Filter>
			<Filter
				Name="sober128"
				>
				<File
					RelativePath="src\stream\sober128\sober128_stream.c"
					>
				</File>
				<File
					RelativePath="src\stream\sober128\sober128_stream_memory.c"
					>
				</File>
				<File
					RelativePath="src\stream\sober128\sober128_test.c"
					>
				</File>
				<File
					RelativePath="src\stream\sober128\sober128tab.c"
					>
					<FileConfiguration
						Name="Debug|Win32"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|Win32"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|x64"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|x64"
						ExcludedFromBuild="true"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
			</Filter>
			<Filter
				Name="sosemanuk"
				>
				<File
					RelativePath="src\stream\sosemanuk\sosemanuk.c"
					>
				</File>
				<File
					RelativePath="src\stream\sosemanuk\sosemanuk_memory.c"
					>
				</File>
				<File
					RelativePath="src\stream\sosemanuk\sosemanuk_test.c"
					>
				</File>
			</Filter>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
